<div class="main-wrapper" style="    margin-top: 68px;" fxLayout="column" fxLayoutAlign="start none">
    <div class="mt" fxLayout="row" fxLayoutAlign="space-around center">
        <h1>Reimpresión de Comprobantes</h1>
    </div>
    <form [formGroup]="searchForm">
        <div class="">
            <label>Fecha Emisión: </label>
            <hr>

            <mat-form-field appearance="fill">
                <mat-label>Desde Fecha <span style="color: red;">*</span></mat-label>
                <input matInput [matDatepicker]="dateFromInput" formControlName="dateFrom">
                <mat-datepicker-toggle matSuffix [for]="dateFromInput"></mat-datepicker-toggle>
                <mat-datepicker #dateFromInput></mat-datepicker>
                <mat-error *ngIf="searchForm.get('dateFrom').invalid">Required</mat-error>
            </mat-form-field>

            <mat-form-field class="ml5" appearance="fill">
                <mat-label>Hasta Fecha<span style="color: red;">*</span></mat-label>
                <input matInput [matDatepicker]="dateToInput" formControlName="dateTo">
                <mat-datepicker-toggle matSuffix [for]="dateToInput"></mat-datepicker-toggle>
                <mat-datepicker #dateToInput></mat-datepicker>
                <mat-error *ngIf="searchForm.get('dateTo').invalid">Required</mat-error>
            </mat-form-field>
        </div>

        <div>
            <label>Comprobantes: </label>
            <hr>
            <mat-form-field appearance="fill">
                <mat-label>Tipo</mat-label>
                <mat-select formControlName="documentType">
                    <mat-option *ngFor="let item of documentTypes" [value]="item.description">{{item.descriptionToUse}}
                    </mat-option>
                </mat-select>
            </mat-form-field>

            <mat-form-field class="ml5" appearance="fill">
                <mat-label>Punto de Venta Hola mundo</mat-label>
                <input matInput type="text" formControlName="pos">
                <button mat-button *ngIf="searchForm.get('pos').value" matSuffix mat-icon-button aria-label="Clear"
                    (click)="searchForm.get('pos').patchValue(null)">
                    <mat-icon>close</mat-icon>
                </button>
            </mat-form-field>
            <mat-form-field class="ml5" appearance="fill">
                <mat-label>Número Desde</mat-label>
                <input matInput type="text" formControlName="documentNumberFrom">
                <button mat-button *ngIf="searchForm.get('documentNumberFrom').value" matSuffix mat-icon-button aria-label="Clear"
                (click)="searchForm.get('documentNumberFrom').patchValue(null)">
                    <mat-icon>close</mat-icon>
                </button>
            </mat-form-field>
            <mat-form-field class="ml5" appearance="fill">
                <mat-label>Número Hasta</mat-label>
                <input matInput type="text" formControlName="documentNumberTo">
                <button mat-button *ngIf="searchForm.get('documentNumberTo').value" matSuffix mat-icon-button aria-label="Clear"
                (click)="searchForm.get('documentNumberTo').patchValue(null)">
                    <mat-icon>close</mat-icon>
                </button>
            </mat-form-field>

        </div>

        <div>
            <label>Cuit Receptor : </label>
            <hr>
            <mat-form-field class="" appearance="fill">
                <mat-label>CUIT</mat-label>
                <input matInput type="text" formControlName="taxId">
                <button mat-button *ngIf="searchForm.get('taxId').value" matSuffix mat-icon-button aria-label="Clear"
                    (click)="searchForm.get('taxId').patchValue(null)">
                    <mat-icon>close</mat-icon>
                </button>
                <mat-error *ngIf="searchForm.get('taxId').invalid">Debe tener 11 dígitos numéricos</mat-error>
            </mat-form-field>
        </div>
    </form>
    <button *ngIf="!loading" mat-stroked-button style="margin-bottom: 15px;" color="primary" (click)="search()">Buscar</button>
    <button *ngIf="loading" mat-stroked-button disabled style="margin-bottom: 15px;" color="primary" >
        <mat-spinner diameter="35" style="margin:0 auto; margin-top: 10px;; margin-bottom: 10px;"></mat-spinner>
    </button>
</div>

<div class="hold">
  <div class="stepper">
  <mat-tab-group mat-stretch-tabs="false" mat-align-tabs="start">
    <mat-tab label="First">Content</mat-tab>
    <mat-tab label="Second">Content 2</mat-tab>

  </mat-tab-group>

</div>

</div>



